#ifndef SSD1306_H
#define SSD1306_H

const int SCREEN_WIDTH = 128; // OLED display width, in pixels
const int SCREEN_HEIGHT = 64; // OLED display height, in pixels

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

// Title Canvas - Full width of the display
GFXcanvas1 Tcanvas0(128, 15);

// Static Information Canvases
// GFXcanvas1 Scanvas1(120, 15);
// GFXcanvas1 Scanvas2(120, 15);
GFXcanvas1 Scanvas3(120, 15);

// Dynamic Information Canvases

GFXcanvas1 Dcanvas6(65, 12);    // 6 characters

// GFXcanvas1 StickDudePIC(8, 12);

// int row_Y[] = {27, 42, 57}; // Locations of the rows in the main screen part (Blue)
int row_Y[] = {18, 33, 48}; // Locations of the rows in the main screen part (Blue)

// 
int DottyX = 0; // Initialize the dots position OUTSIDE of the actual loop...

#endif // SSD1306_H
