#include "libraries.h"
#include "functions.h"

////////////////////////////////////////////////////////////////
// Supplimentary Functions
////////////////////////////////////////////////////////////////

void blinkLED(int speed) // Just a little function to blink the on-board LED for the beacon function.
{
  // On most ESP8266-based modules, GPIO2 is connected to the
  // on-board LED (& it's inverted... so pulling this GPIO low
  // will turn on the on-board LED.

  digitalWrite(LED_BUILTIN, LOW);
  delay(speed);
  digitalWrite(LED_BUILTIN, HIGH);
  delay(speed);
}

// int SensorType = 0;

// void PickOne()
// {
//   char debugTEXT[46];

//   debug_SectionTitle("Selected:");
//   if (SensorType == 0)
//   {
//     sprintln(debugTEXT, "%d - BME280", SensorType);
//     debug_LineOut(debugTEXT);
//     BME280_main();
//     SensorType = 1;
//   }

//   if (SensorType == 1)
//   {
//     sprintln(debugTEXT, "%d - DS18B20", SensorType);
//     debug_LineOut(debugTEXT);
//     DS18B20_main();
//     SensorType = 0;
//   }
// }
