// WiFi ////////////////////////////////////////////////////////////////////////
#include <ESP8266WiFi.h>

// MQTT ////////////////////////////////////////////////////////////////////////
#include <PubSubClient.h>

// Supplimental Stuff //////////////////////////////////////////////////////////
#include <SimpleTimer.h>

#include <Wire.h>

// OLED ////////////////////////////////////////////////////////////////////////
#ifdef d_SDD1306
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <Fonts/FreeMonoBold12pt7b.h>
#include <Fonts/FreeMonoBold9pt7b.h>
#endif

// DS18B20 /////////////////////////////////////////////////////////////////////
#ifdef s_DS18B20
#include <OneWire.h>
#include <DallasTemperature.h>
#endif

// BME280 //////////////////////////////////////////////////////////////////////
#ifdef s_BME280
#include <Adafruit_Sensor.h>
// #include <Adafruit_BME280.h>
// #include <Adafruit_Si7021.h>
#endif

// Si7021 //////////////////////////////////////////////////////////////////////
#ifdef s_Si7021
#include <Adafruit_Sensor.h>
// #include <Adafruit_BME280.h>
// #include <Adafruit_Si7021.h>
#endif

// Hih6130 /////////////////////////////////////////////////////////////////////
#ifdef s_Hih6130
#endif
