#ifndef DS18B20_H
#define DS18B20_H

const int oneWireBus = 4; // Where the sensor(s) connect (GPIO4 == Tarduino D2)

OneWire oneWire(oneWireBus);         // Setup a oneWire instance to communicate with any OneWire devices
DallasTemperature sensors(&oneWire); // Pass our oneWire reference to Dallas Temperature sensor

int DS18B20_Count; // Number of attached DS18B20s

// char DS18B20_Labels[][6] =
//     {"Beer",
//      "Food",
//      "WTF?"};

char DS18B20_Labels[][6] =
    {"Temp0",
     "Temp1",
     "Temp2"};

#endif // DS18B20_H
