#include "libraries.h"
#include "functions.h"

void debug_TitleScreen()
{
    Serial.printf("\n\n#================================================#\n");
    Serial.printf("# ESP With a little OLED & sensor(s)             #\n");
    Serial.printf("# DS18B20(s), BME280(s), Si7021(s), HiH6130(s)   #\n");
    Serial.printf("# WiFi Enabled...                                #\n");
    Serial.printf("# Speaks fluent MQTT...                          #\n");
    Serial.printf("# (Now, with excitable drunk StickDude)          #\n");
    Serial.printf("#================================================#\n");
}

void debug_ReadyScreen()
{
  Serial.printf("#================================================#\n");
  Serial.printf("#                 Ready To Run.                  #\n");
  Serial.printf("#================================================#\n");
}

void debug_Separator()
{
    Serial.printf("+------------------------------------------------+\n");
}

void debug_SectionTitle(const char *Title)
{
    Serial.printf("| %-46s |\n", Title);
}

void debug_LineOut(const char *Line)
{
    Serial.printf("|    %-43s |\n", Line);
}

void debug_Action(const char *Line)
{
    {
        const char* SPACE = "                              ";
        char BUFFER[100];
        char BUFFER2[100];

        int BuffSize = (23 - (strlen(Line) / 2));

        strcpy(BUFFER, SPACE);
        BUFFER[BuffSize] = '\0';

        sprintf(BUFFER2, "%s%s", BUFFER, Line);
        Serial.printf("| %-46s |\n", BUFFER2);
    }
}

void debug_Trouble(const char *Line)
{
    Serial.printf("* %-46s *\n", Line);
}

void debug_Success(const char *Line)
{
    Serial.printf("+ %-46s +\n", Line);
}

void debug_ProgressBar0()
{
        Serial.printf("| ");
}
void debug_ProgressBar1()
{
            Serial.printf(".");

}
void debug_ProgressBar2(int dotcount)
{
        for (int i = 0; i < (47 - dotcount); i++)
        {
            Serial.printf(" ");
        }
        Serial.printf("|\n");
}

